package gov.va.med.tfs.tfdm;


public class DomainEntryPoint
{

	private String name;
    private String domain;


    public String getDomain( )
    {
        return domain;
    }


    public void setDomain( String aDomain )
    {
        this.domain = aDomain;
    }


    public String getName( )
    {
        return name;
    }
    
    public void setName( String aName)
    {
        this.name = aName;
    }

    @Override
    public String toString( )
    {
        return name;
    }
   
    @Override
    public int hashCode( )
    {
        return (name + domain).hashCode();
    }
    
    @Override
    public boolean equals( Object obj )
    {
    	System.out.println("+++++++++++++++++++++++entered equals");
        if ( obj instanceof DomainEntryPoint )
        {
            DomainEntryPoint value = (DomainEntryPoint)obj;
            if ( value.getName().equals( name ) && value.getDomain().equals( domain ) )
            {
            	System.out.println("+++++++++++++++++++++++ equals!!!!!!!!!!!!!!!!!!!");
                return true;
            }
        }
        return false;
    }

    //public static final String DOMAIN_ENTRY_POINT_PROPERTY_NAME = "DomainEntryPoints";    
}
